
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>python 实现网上商城,转账,存取款等功能的信用卡系统_python / iVAN</title>

    <meta name="description" content="python 实现网上商城,转账,存取款等功能的信用卡系统_python 一.要求 二.思路 1.购物类buy 接收 信用卡类 的信用卡可用可用余额, 返回消费金额 2.信用卡(ATM)类 接收上次操作后,信用卡可用余额,总欠款,剩余欠款,存款 其中: 1.每种交易类型不单独处理金钱,也不单独记录流水账,每种交易类型调用处理金钱的函数(传入交易类型,交易金额) 2.处理金钱的函数,调用配置文件中关于每种交易类型的加减钱和利率 返回本次操作后信用卡可用余额,总欠款,剩余欠款,存款 3.客户端 银行管理员注册登陆 普通用户注册登陆 发送需求:注册.登陆.交易类型.交易金额">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">python 实现网上商城,转账,存取款等功能的信用卡系统_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、要求</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2NzE1MTAwMDM4MDA1LnBuZw==.jpg"></p>
<p><strong>二、思路</strong></p>
<p>1.购物类buy</p>
<p>接收 信用卡类 的信用卡可用可用余额，</p>
<p>返回消费金额</p>
<p><strong>2.信用卡（ATM）类</strong></p>
<p>接收上次操作后，信用卡可用余额，总欠款，剩余欠款，存款</p>
<p>其中：　1.每种交易类型不单独处理金钱，也不单独记录流水账，每种交易类型调用处理金钱的函数（传入交易类型，交易金额）</p>
<p>　　　　2.处理金钱的函数，调用配置文件中关于每种交易类型的加减钱和利率</p>
<p>返回本次操作后信用卡可用余额，总欠款，剩余欠款，存款</p>
<p><strong>3.客户端</strong></p>
<p>银行管理员注册登陆</p>
<p>普通用户注册登陆</p>
<p>发送需求：注册、登陆、交易类型、交易金额</p>
<p><strong>4.服务器端</strong></p>
<p>调用购物类，创建购物对象(购物接口)</p>
<p>调用信用卡（ATM）类，处理还款，转账等操作，对利息按月记录，写入文件</p>
<p><strong>5.定时任务</strong></p>
<p>定时执行程序，以计算利息。</p>
<p><strong>三、代码</strong></p>
<p>3.1配置文件</p>
<pre>
import os

BASE_DIR = os.path.dirname(os.path.dirname(__file__)) #配置文件的上层目录
DB_DIR=os.path.join(BASE_DIR,'db')  #数据文件夹
ADMIN=os.path.join(DB_DIR,'admin')
ALL_USERS=os.path.join(DB_DIR,'allusrs')
A=os.path.join(BASE_DIR,'db','s')
LOG=os.path.join(BASE_DIR,'log')

TRANSACTION={
 'repay':{'action':'plus','interest':0}, #还款
 'withdraw':{'action':'minus','interest':0.05},#取现
 'transfer':{'action':'minus','interest':0.05},#转账
 'consume':{'action':'minus','interest':0},#消费
 'saving':{'action':'plus','interest':0} #存款
}
 </pre>
<p><strong>3.2公共类</strong></p>
<p><strong>3.2.1购物类</strong></p>
<pre>
class buy:
 goods=[
   {"name": "电脑", "price": 1999},
   {"name": "鼠标", "price": 10},
   {"name": "游艇", "price": 20},
   {"name": "美女", "price": 998},
  ]

 def __init__(self,money,consumption,shopping_cart,):
  self.money=money
  self.consumption=consumption
  self.shopping_cart=shopping_cart

 def gouwu(self): #购物模块
  print('您的当前余额为：%d' %self.money)
  num=int(input('请输入商品序号：'))
  num-=1
  if self.goods[num]["name"] in self.shopping_cart.keys():    #goods[num]["name"]取商品名
   self.shopping_cart[self.goods[num]["name"]]['n']+=1     #商品数量+1
  else:
   self.shopping_cart[self.goods[num]["name"]]={"price":self.goods[num]["price"],'n':1,} # 创建购物车字典 {keys{"price"：价格,数量：1}}
  self.money-=self.shopping_cart[self.goods[num]["name"]]["price"]*self.shopping_cart[self.goods[num]["name"]]['n']  #单价*数量
  self.consumption+=self.shopping_cart[self.goods[num]["name"]]["price"]*self.shopping_cart[self.goods[num]["name"]]['n']

 def yichu(self): #移除购物车模块
  c=int(input(' 请输入0/1选择是否移除购物车商品, 移除请输入1:'))
  if c==1:
   e=int(input(' 请输入要移除的商品序号:'))
   d=self.goods[e-1]
   if d in self.shopping_cart.keys():    #判断要移除的商品是否在购物车内
    self.shopping_cart.remove(d)   #移除商品
    self.money=self.money+self.goods[self.goods.index(d)]["price"]    #余额增加
    self.consumption=self.consumption-self.goods[self.goods.index(d)]["price"] #消费总额减少
   else:
    print('商品不存在')
 def chongzhi(self): #充值模块
  pay=int(input('请输入充值金额'))
  self.money=self.money+pay
  print('您的当前余额为：%d' % self.money) #显示当前余额

 def main(self):
  print('商品清单：')
  for m,n in enumerate(self.goods,1):
   print(m)
   for v in n.values():
    print(v)
   print('=============')
  #消费总额清零
  self.consumption=0
  buy=True #定义默认一直购物
  while buy:
   price=0 #定义初始价格
   b=1 #定义默认不退出购物或充值状态
   if self.money&gt;=price:

  #消费模块；金钱大于货物价格时，才能开始购物
    while self.money&gt;=price:
  #计价模块，有钱就可以一直购物
     self.gouwu()
  #移除购物车商品模块
     self.yichu()
     if self.money&gt;=0:
      print('您的当前余额为：%d' %self.money)   #显示当前余额
      b=int(input(' 请输入0/1选择是否继续购物, 购物请输入1:'))
      if b==0:  #
       break #退出计价模块
    if b==0:   #如果不购物
     break   #不购物退出整个购物程序
  #充值模块
   else:
    while self.money&lt;price:   #金钱不足，可多次充钱，直到能买得起货物
     a=int(input(' 您的余额不足，请输入0/1选择是否充值，充值请输入1:'))
     if a==1:
      self.chongzhi()
     else:
      break   #退出充值模块
     if a==0:
      break   #不充值退出程序
  #打印购物车商品名、商品价格、消费总额、余额
  print('您的消费清单为：')
  for m,n in self.shopping_cart.items():
   print(m,n['price'],n['n'])
     #打印消费清单
   print('=============')
  print('您的当前余额为：%d,您的消费总额为：%d' % (self.money,self.consumption) )   #打印消费总额
  return self.consumption</pre>
<p><strong>3.2.2 信用卡ATM类</strong></p>
<pre>
class Atm:
 credit=15000 #信用卡额度
 def __init__(self,balance,debt,remaining_debt,interest,saving,id):
  self.id=id    #信用卡id
  self.balance=balance  #信用卡可用金额
  self.debt=debt   #总欠款
  self.remaining_debt=remaining_debt #剩余欠款
  self.interest=interest  #手续费
  self.saving=saving  #存款
  self.now_time=time.strftime("%Y-%m-%d %H:%M:%S")
  self.now_data=time.strftime("%Y-%m")
  self.struct_time=time.gmtime(time.time())
  if self.struct_time.tm_mday&gt;22:
   self.now_data=self.struct_time.tm_year+'-'+str(int(self.struct_time.tm_mon)+1)

 def account_info(self):#打印账户信息
  return '账户id%s 信用卡额度%s;信用卡可用金额%s;剩余欠款%s;'%(self.id,self.credit,self.balance,self.remaining_debt,)
 def ret_account_info(self):
  return [self.id,self.credit,self.balance,self.debt,self.remaining_debt,self.interest]
 def repay(self,amount):#还款
  self.handel_money('repay',amount)
 def withdraw(self,amount): #取现
  self.handel_money('withdraw',amount)
 def transfer(self,amount): #转账
  self.handel_money('transfer',amount)
 def consume(self,amount): #消费
  self.handel_money('consume',amount)
 def saves(self,amount):
  self.handel_money('saving',amount)
 def transaction(self,a,amount):
  dic={
   '1':self.repay,
   '2':self.withdraw,
   '3':self.transfer,
   '4':self.consume,
   '5':self.saves
  }
  print("debug: a:",type(a),"amount:",type(amount))

  print(a)
  print(dic[a])
  print(dic["5"])
  dic[a](amount)
  print("end debug")

 def handel_money(self,transaction,amount): #交易类型，
  amount=int(amount)
  interest=amount*settings.TRANSACTION[transaction]['interest'] #手续费计算
  if settings.TRANSACTION[transaction]['action']=='plus':

   if amount&lt;=self.remaining_debt:
    self.remaining_debt-=amount
    self.balance+=amount
   else:
    self.balance+=self.remaining_debt
    self.remaining_debt=0
    self.saving+=amount-self.remaining_debt
  else:

   if self.saving&lt;amount:
    self.saving=0
    a=amount-self.saving
    self.balance-=a+interest-self.saving
    # self.debt+=amount+interest
    self.remaining_debt+=a+interest
  a='time:%s id:%s transaction: %s amount:%s interest %s \n'%(self.now_time,self.id,transaction,amount,interest)
  print(a)
  mulu=os.path.join(settings.ALL_USERS,self.id)
  path_name_liushui=os.path.join(mulu,str(self.id)+'name_liushui',str(self.now_data))

  with open(path_name_liushui,'a')as f:   #记录流水信息
   f.write(a)

  s=[self.balance,self.debt,self.remaining_debt,self.interest,self.saving,]  #更新基本信息
  path_name_base=os.path.join(mulu,str(self.id)+'name_base')
  pickle.dump(s,open(path_name_base,'wb'))</pre>
<p><strong>　3.3服务器端：</strong></p>
<pre>
#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys,os
import hashlib
import pickle
import time
import socketserver
sys.path.append(os.path.dirname(os.path.dirname(__file__)))
from config import settings
from lib import modules
from lib.modules import *

class Myserver(socketserver.BaseRequestHandler):

 def md5(self,pwd):
  '''
  对密码进行加密
  :param pwd: 密码
  :return:
  '''
  hash=hashlib.md5(bytes('xx7',encoding='utf-8'))
  hash.update(bytes(pwd,encoding='utf-8'))
  return hash.hexdigest()

 def login(self,usrname,pwd,x):
  '''
  登陆
  :param usrname: 用户名
  :param pwd: 密码
  :return:是否登陆成功
  '''
  conn=self.request
  if x=='1':
   path_name_pwd=os.path.join(settings.ADMIN,usrname)
  else:
   mulu=os.path.join(settings.ALL_USERS,usrname)
   path_name_pwd=os.path.join(mulu,usrname+'name_pwd')
  s=pickle.load(open(path_name_pwd,'rb'))
  if usrname in s:
    if s[usrname]==self.md5(pwd):  #和加密后的密码进行比较
    return True
    else:
    return False
  else:
   return False

 def regist(self,usrname,pwd,x):
  '''
  注册
  :param usrname: 用户名
  :param pwd: 密码
  :return:是否注册成功
  '''

  conn=self.request
  if x=='1':
   mulu=os.path.join(settings.ADMIN,usrname)
  else:
   mulu=os.path.join(settings.ALL_USERS,usrname)

  if os.path.exists(mulu):
    return False
  else:
   os.mkdir(mulu)
   s={}
   s[usrname]=self.md5(pwd)
   path_name_pwd=os.path.join(mulu,usrname+'name_pwd')
   pickle.dump(s,open(path_name_pwd,'wb'))
   path_name_base=os.path.join(mulu,usrname+'name_base')
   pickle.dump([15000,{},0,0,0],open(path_name_base,'wb'))
   path_name_liushui=os.path.join(mulu,usrname+'name_liushui')
   os.mkdir(path_name_liushui)
   return True

 def user_identity_authentication(self,usrname,pwd,ret,x):
  '''
  判断注册和登陆，并展示用户的详细目录信息，支持cd和ls命令
  :return:
  '''
  conn=self.request
  if ret=='1':
   r=self.login(usrname,pwd,x)
   if r:
    conn.sendall(bytes('y',encoding='utf-8'))
   else:
    conn.sendall(bytes('n',encoding='utf-8'))
  elif ret=='2':
   # print(usrname,pwd)
   if x=='1':
    r=self.regist(usrname,pwd,x)
   else: #用户注册
    s=[0,1]
    pickle.dump(s,open(settings.A,'wb'))
    while True:
     ret=pickle.load(open(settings.A,'rb'))
     if ret[0]==0:
      time.sleep(30)
      continue
     elif ret[0]==1 or ret[0]==2:
      break #默认值已更改，银行管理员已操作

    if ret[0]==1: #如果管理员同意
     r=self.regist(usrname,pwd,x)
    else:
     r=0
    s=[0,0]
    pickle.dump(s,open(settings.A,'wb'))
   if r:
    conn.sendall(bytes('y',encoding='utf-8'))
   else:
    conn.sendall(bytes('n',encoding='utf-8'))
 def interactive(self,usrname): #进行交互
  conn=self.request
  while True:
   c=conn.recv(1024) #接收用户交互选项
   r=str(c,encoding='utf-8')
   mulu=os.path.join(settings.ALL_USERS,usrname)
   path_name_base=os.path.join(mulu,usrname+'name_base')
   s=pickle.load(open(path_name_base,'rb'))

   #打印账户信息
   obj=modules.Atm(s[0],s[1],s[2],s[3],s[4],usrname) #Atm对象
   a=obj.account_info() #接收账户信息
   conn.sendall(bytes(a,encoding='utf-8'))

   b=obj.ret_account_info()

   if r== '4':
    buy_obj=modules.buy(b[2],0,{})
    amount=buy_obj.main()
   elif r=='q':
    break
   else:
    s=conn.recv(1024)
    amount=str(s,encoding='utf-8')

   obj.transaction(r,amount)

  pass

 def handle(self):
  conn=self.request
  x=conn.recv(1024)
  x=str(x,encoding='utf-8')
  conn.sendall(bytes('收到用户类别',encoding='utf-8'))
  while True:
   if x=='1' or x=='2':
    b=conn.recv(1024)
    ret=str(b,encoding='utf-8')
    conn.sendall(bytes('b ok',encoding='utf-8'))
    c=conn.recv(1024)
    r=str(c,encoding='utf-8')
    usrname,pwd=r.split(',')
    print(usrname,pwd)
    self.user_identity_authentication(usrname,pwd,ret,x) #登陆或注册验证
    if x=='2':#普通用户身份验证成功后
     self.interactive(usrname)

     pass

    break
   elif x=='q':
    break

if __name__=='__main__':
 sever=socketserver.ThreadingTCPServer(('127.0.0.1',9999),Myserver)
 sever.serve_forever()</pre>
<p><strong>3.4 用户端</strong></p>
<pre>
#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
本程序作为用户或银行管理员的入口，其中c=1代表银行管理员，c=2代表普通用户
'''
import pickle
import sys
import time
import os
import socket
sys.path.append(os.path.dirname(os.path.dirname(__file__)))
from config import settings
from lib import *
from lib.modules import *

def login(usrname,pwd):
 '''
 登陆
 :param usrname:用户名
 :param pwd:密码
 :return:是否登陆成功
 '''
 obj.sendall(bytes(usrname+','+pwd,encoding='utf-8'))
 ret=obj.recv(1024)
 r=str(ret,encoding='utf-8')
 if r=='y':
  return 1
 else:
  return 0

def regist(usrname,pwd,x):
 '''
 注册
 :param usrname:用户名
 :param pwd:密码
 :return:是否注册成功
 '''
 obj.sendall(bytes(usrname+','+pwd,encoding='utf-8'))

 ret=obj.recv(1024)
 r=str(ret,encoding='utf-8')
 if r=='y':
  return 1
 else:
  return 0
def user_identity_authentication(usrname,pwd,x):
 '''
 选择登陆或注册，展示用户的详细目录信息，支持cd和ls命令
 :return:
 '''
 a=input('请选择1.登陆 2.注册')
 obj.sendall(bytes(a,encoding='utf-8'))
 obj.recv(1024)
 if a=='1':
  ret=login(usrname,pwd)
  if ret:
   print('登陆成功')
   return 1
  else:
   print('用户名或密码错误')
   return 0
 elif a=='2':
  ret=regist(usrname,pwd,x)
  if ret:
   print('注册成功')
   return 1
  else:
   print('用户名已存在或银行管理员拒绝')
   return 0
def main(x):
 usrname=input('请输入用户名')
 pwd=input('请输入密码')
 if user_identity_authentication(usrname,pwd,x): #如果验证身份成功
  if x=='1': #处理用户注册信息

   while True:
    s=pickle.load(open(settings.A,'rb'))
    if s[1]==0:
     time.sleep(30)
     continue
    elif s[1]==1:
     while True:
      a=input('用户请求注册，输入1同意，2拒绝')
      if a=='1':
       s=[1,0]
       pickle.dump(s,open(settings.A,'wb'))
       break
      elif a=='2':
       s=[2,0]
       pickle.dump(s,open(settings.A,'wb'))
       break
      else:
       print('输入有误')
     break
  else: #普通用户登陆后
   interactive() #进行交互

def interactive():
 while True:
  a=input('请选择 1.还款 2.取现 3.转账 4.消费 5.存钱 q退出')
  obj.sendall(bytes(a,encoding='utf-8'))
  r=obj.recv(1024) #接收账户信息
  ret=str(r,encoding='utf-8')
  print(ret)
  if a !='4'and a !='q':
   b=input('请输入金额')
   obj.sendall(bytes(b,encoding='utf-8'))
  elif a=='q':
   break

obj=socket.socket() #创建客户端socket对象
obj.connect(('127.0.0.1',9999))
while True:
 x=input('请选择1.银行管理员 2.用户 q、退出')
 obj.sendall(bytes(x,encoding='utf-8'))
 obj.recv(1024) #确认收到用户类别
 if x=='1' or x=='2':
  main(x)
  break
 elif x=='q':
  break
 else:
  print('输入有误请重新输入')

obj.close()</pre>
<p><strong>　3.5定时任务</strong></p>
<pre>
#!/usr/bin/env python
# -*- coding:utf-8 -*-
import os,sys
import json,pickle
import time
sys.path.append(os.path.dirname(os.path.dirname(__file__)))
from config import settings

def main():
 card_list = os.listdir(settings.ALL_USERS)
 for card in card_list:
  basic_info = pickle.load(open(os.path.join(settings.ALL_USERS, card, card+'name_base')))
  struct_time = time.localtime()

  # 循环账单列表，为每月的欠款计息。并写入到当月账单中
  for item in basic_info['debt']:
   interest = item['total_debt'] * 0.0005
   if basic_info[4] &gt;= interest:
    basic_info[4] -= interest
   else:
    temp = interest - basic_info[4]
    basic_info[4]=0
    basic_info[0] -= temp
    pickle.dump(
      basic_info,
      open(os.path.join(settings.ALL_USERS, card, card+'name_base'),'w')
    )

  # 如果当前等于10号(9号之前)
  # 当前余额为负值，则将值添加到账单列表中，开始计息，同时，本月可用额度恢复。
  date = time.strftime("%Y-%m-%d")
  if struct_time.tm_mday == 11 and basic_info[2]&gt;0:
   dic = {'date': date,
     "total_debt": basic_info[2],
     "balance_debt": basic_info[2],
     }
   basic_info[1].append(dic)
   # 恢复可用额度
   basic_info[0] = 15000
  pickle.dump(
   basic_info,
   open(os.path.join(settings.ALL_USERS, card, card+'name_base'),'w')
    )

def run():
 main()
　　</pre>
<p>以上就是用python开发网上商城信用卡系统，需要的同学可以参考下。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索python<br />
                                    用python<br />
                                    取款机转账多久到、自动取款机转账限额、取款机转账24小时、取款机可以跨行转账吗、取款机转账限额，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 17:53:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8python/" title="用python">用python</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>python 实现网上商城,转账,存取款等功能的信用卡系统_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1Y5Wb.html" rel="bookmark">java网上商城开发之邮件发送功能（全）&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习网上商城时,接触到了一个邮件发送的功能.之前一直在使用邮箱进行发送邮件,但是其中的具体如何运转的却不知道是怎么回事.那么邮件发送究竟是怎么一回事呢? 邮件发送过程: 过程描述:首先是发送人将邮件通过客户端软件发送到特定的服务器上,然后通过电子邮件简单传输协议(SMTP)来进行传输,收件人通过POP3协议将邮件从服务器上接受回来.这样就实现了邮件之间的相互传送. 实现过程: 在有网络的情况下,我们可以直接使用搜狐.网易等邮箱进行发送.那么如何在没有网络的情况下,实现内部之间的发送呢?  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmoV2z.html" rel="bookmark">Jsp&plus;JavaBean&plus;Servlet实现模拟银行账户存取款等功能的网站&lpar;实习第4-8天&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本来想学J2EE的3个经典框架(Spring + Struts +Hibernate),奈何负责实习的老师只讲了Jsp+JavaBean+Servlet,项目时间还蛮紧的,所以只用JJS实现了这个项目,后面寒假有时间的话再用SSH实现并完善这个网站吧.前几天抽时间学了点前端的东西,感觉还是有点麻烦的,前端做既漂亮又有良好的兼容性不是件太容易的事情,所幸现在觉得能够静下来学技术做开发是件挺幸福的事情.网站的源代码上传到了CSDN上的code仓库,以后有时间会慢慢把这个项目的前端和后台做的更完善.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW75EGM.html" rel="bookmark">使用python获取CPU和内存信息的思路与实现&lpar;linux系统&rpar;&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道,linux里一切皆为文件,在linux/unix的根目录下,有个/proc目录,这个/proc 是一种内核和内核模块用来向进程(process)发送信息的机制(所以叫做&quot;/proc&quot;),这个伪文件系统允许与内核内部数据结构交互,获取有关进程的有用信息,在运行中(on the fly)改变设置(通过改变内核参数).与其他文件系统不同,/proc 存在于内存而不是硬盘中.proc 文件系统提供的信息如下: •进程信息:系统中的任何一个进程,在 proc 的子目录中都有一个同名的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWx7lep.html" rel="bookmark">兴业关闭信用卡网上商城背后：银行做电商存缺陷</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户.价格.物流等都是其难突破的瓶颈,发展电子金融信贷平台是今后方向 再过四天,兴业银行的信用卡网上商城将正式关闭.其网站公告称,因业务调整,将于8月31日正式关闭商城.对于已订购商品的客户,则正常处理.这一消息,让业内再次关注到传统银行在http://www.aliyun.com/zixun/aggregation/21302.html&quot;&gt;电商领域发展的尴尬瓶颈. 记者了解到,目前很多银行都在其官网开通网上商城.尽管经营数年,但各家对其业绩都很少提及. 客户 发卡量较小客户有限 兴业信用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNoxYz.html" rel="bookmark">银行存取款模型的线程同步问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  关于线程同步,网上也有很多资料,不过不同的人理解也不大一样,最近在研究这个问题的时候回想起大学课本上的一个经典模型,即银行存取款模型,通过这个模型,我个人感觉解释起来还是比较清楚的.本文结合自己的思考对该模型进行一个简单的模拟,阐述一下我对线程同步的理解. 场景模拟   接下来使用java对该问题进行模拟.在研究这个问题时会忽略掉现实系统中的很多其他属性,通过一个最简单的余额问题来看线程同步,这里首先创建三个类. 1.卡类,同时卡类提供三个方法,获取余额.存款以及取款. public cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmRkxM.html" rel="bookmark">SSH框架网上商城项目第16战之Hibernate二级缓存处理首页热门显示&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网上商城首页都有热门商品,那么这些商品的点击率是很高的,当用户点击某个热门商品后需要进入商品的详细信息页面,就像淘宝里面那样.那么每次点击都要去后台查询一下该商品的详细信息,就会发送相应的sql语句,每次刷新一下详细页面也会发sql语句,这样的话,性能肯定会受到很大的影响.那么使用Hibernate的二级缓存就可以解决这个问题. 有些人可能会想,我们可以使用重定向,这样的话,在用户第一次访问的时候把信息查出来放到session中,以后每次用户刷新就可以去session中拿了,这样就不用去数据库中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9xv7Rb.html" rel="bookmark">工行调整ATM异地存取款收费</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工行发布公告称,近期将对23项业务收费进行调整,相关人士表示此次是结构调整,有升有降 工商银行总行网站17日发布重要公告,将调整23项个人金融业务的收费标准,其中20项标准为上调,平均涨幅超过100%,此次上调涉及异地汇款.ATM异地存取款.信用卡资信证明等项目. 异地取款每笔最低收2元 此次工行收费提高的项目中,与个人客户关系最紧密的是异地存取款.调整后,异地存款仍按原来存款金额0.5%收取,但每笔最低收费从1元涨到了2元,每笔最高收费则从50元调整到了100元.调整后,异地取款仍按取款金额1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmj94z.html" rel="bookmark">SSH框架网上商城项目第2战之基本增删查改、Service和Action的抽取&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一节&lt;SSH框架网上商城项目第1战之整合Struts2.Hibernate4.3和Spring4.2&gt;我们搭建好了Struts2.Hibernate和Spring的开发环境,并成功将它们整合在一起.这节主要完成一些基本的增删改查以及Service.Dao和Action的抽取.1. Service层的抽取        上一节中,我们在service层简单写了save和update方法,这里我们开始完善该部分的代码,然后对service层的代码进行抽取.1.1 完善CategoryServic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVX1RQM.html" rel="bookmark">做一套网上商城的系统需要有哪些工作？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 公司有一套APP,希望在里面植入商城功能,商品可能是自己卖的,不需要象淘宝那样提供开店功能目前想到的有:1.用户注册.登录等,这些功能已经有了,现成的手机APP2.需要一个商品发布系统3.APP要提供商品浏览.搜索,购物车,下单,支付等功能4.与物流公司合作,这一块不知道怎么办,没头绪其它,没想到了 解决方案 解决方案二: 有商品,有订单就OK了嘛解决方案三: 物流公司怎么合作,一般就是你们公司自己处理,然后页面上只需要显示快递的编号和当前的快递信息就行了,不需要很复杂吧解决方案四:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz45x1b.html" rel="bookmark" class="title">CSS初学：DOCTYPE文档类型及浏览器的模式介绍</a>
					<div>
						css|初学|浏览器 DOCTYPE文档类型常常让新手们困惑,这到底是什么东西.其实这只是一组机器可读的规划,虽然中间包含了文件的URL,但浏览器不会去读取这些文件,只是用于识别.然后决定以什么样的规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbENo6M.html" rel="bookmark" class="title">随机验证码的实现思路</a>
					<div>
						随机|验证码 chinaren校友录上留言会随机出现几个数字图片,下面是对话框要求输入上面的数字表示确认.这些数字是随机出现的,但对于每一次提交都有这么一个确认数字,可以避免用户用其他方式登录,而只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPrG0b.html" rel="bookmark" class="title">做站长要淡定面对百度等外部因素的调整</a>
					<div>
						大家都知道,就这几天,seo界出现了百度520事件,从A5论坛开始到大大小小的站长类论坛都炸开了锅,很多站长甚至以为是seo的末日,个人认为,做站长,做seo一定要学会淡定. 1 从容应对百度算法修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNgANp.html" rel="bookmark" class="title">CLR全面透彻解析-F&num;基础</a>
					<div>
						F# 是一种面向对象的新型函数编程语言,用于 Microsoft .NET Framework,已集成到本年度发行的 Microsoft Visual Studio 2010 中.F# 集简单.简洁的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRnNDz.html" rel="bookmark" class="title">Java实现基于栈实现整数加法算法</a>
					<div>
						整数是有最大上限的,如果整数超出最大上限位数,如 4398912120931092319+49832232849329019019210921029,此时整型变量无法保存这些数字.解 决的办法是,可利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4gOAp.html" rel="bookmark" class="title">Photoshop精修带眼镜的人像</a>
					<div>
						  Photoshop精修带眼镜的人像          素材图片包含人像和眼镜产品.修图之前先要分析清楚素材的缺点和问题,这一步非常重要,这也是修图的关键一步;后期只需要把发现的问题修复好即可. 原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNqE0b.html" rel="bookmark" class="title">PS制作钻石亮片文字效果教程</a>
					<div>
						作品預覽 加入漸層效果 教學開始 1 . 開啟一個30/30的透明文件-用多邊形工具拉出一個6角形- 編輯-定義筆刷-儲存-關閉圖層- 2 . 開啟一張黑色文件-打入自己想要的字體- (文字顏色深色為 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2O8OM.html" rel="bookmark" class="title">Photoshop给侧拍美女调出淡调青红色</a>
					<div>
						图片的主色为黄绿色,调色的时候直接把黄色部分转为淡红色,绿色及高光颜色转为淡青色,再把背景部分稍微处理柔和即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.按Ctrl + ALt + 2 调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7287b.html" rel="bookmark" class="title">PhotoShop为沙漠背景照片调出怀旧色调</a>
					<div>
						文件/打开,打开图像 创建新图层,得到图层1,滤镜/渲染/云彩,更改混合模式为柔光,如下图 图层/新建调速图层/通道混合器,调节如下图					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWlGLp.html" rel="bookmark" class="title">最美证件照DIY守则</a>
					<div>
						  最近最美证件照可谓大热,好多小伙伴凭着神一样的最美证件照升职加薪迎娶白富美登上人生巅峰.如果你对他们充满羡慕嫉妒恨,却又舍不得自讨腰包去拍一张最美证件照,那么小编今天就教给你,怎么用photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmQe8z.html" rel="bookmark" class="title">Photoshop给武器添加绿色光线效果</a>
					<div>
						蛋刀调色教程 蛋刀,官方名称:埃辛诺斯战刃.如果你玩儿过魔兽世界,如果你是70年代的国服玩儿家,那你一定对这一对霸气十足的双刃武器印象颇深,今天熊猫就将教大家把一把蛋刀模型的实物图调出游戏中的光影效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8XDZp.html" rel="bookmark" class="title">Skype如何设置呼叫转移</a>
					<div>
						1.点选&quot;工具&quot;菜单下的&quot;选项&quot;; 设置呼叫转移 2.在出现的设置视窗中,点选&quot;呼叫转移&amp;语音邮件&quot;; 选择&quot;呼叫转移&a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr6drM.html" rel="bookmark" class="title">老板，请尊重您的技术人员</a>
					<div>
						 尊敬的老板:        您好,此刻我在北京拥挤的公交车上给您写这封信,很荣幸能有这个机会.虽然我现在已经离开您的公司有将近半年的时间了,但是在贵公司工作的这段时间会是我以后长久的回忆.从大四开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7V7oz.html" rel="bookmark" class="title">arm-基于lpc2114做sht11在lcd1602显示代码调试驱执行不了，求大神指教</a>
					<div>
						问题描述 基于lpc2114做sht11在lcd1602显示代码调试驱执行不了,求大神指教 /***************************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze63Lxb.html" rel="bookmark" class="title">同享网络推出&OpenCurlyDoubleQuote;WiFi上网精灵&rdquo;</a>
					<div>
						网易科技讯 6月26日消息,在获得多家http://www.aliyun.com/zixun/aggregation/153.html&quot;&gt;投资机构的千万美金A轮融资之后,WiFi应用服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7lXkz.html" rel="bookmark" class="title">MongoDB 复合索引</a>
					<div>
						MongoDB支持复合索引,即将多个键组合到一起创建索引.该方式称为复合索引,或者也叫组合索引,该方式能够满足多键值匹配查询使用索引的情形.其次复合索引在使用的时候,也可以通过前缀法来使用索引.Mon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRGqEb.html" rel="bookmark" class="title">【干货】ModSecurity - 针对中小站长高效、免费waf组件</a>
					<div>
						ModSecurity  p.s. 因发帖规定,所有http前面都加了@哦~  原创作者:雷息  一.简介   ModSecurity是一款免费的开源主机waf软件(@http://www.modse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZvJkp.html" rel="bookmark" class="title">php绘图之在图片上写中文和英文的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php绘图之在图片上写中文和英文的方法.分享给大家供大家参考.具体如下: 第一种方法,只能写英文,中文会出现乱码 复制代码 代码如下: &lt;?php //1.创建画布 $im = i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RxBWz.html" rel="bookmark" class="title">ubuntu-Ubuntu Eclipse IDE for C&sol;C&plus;&plus;  更改工作空间之后出错了，应该怎么办？</a>
					<div>
						问题描述 Ubuntu Eclipse IDE for C/C++ 更改工作空间之后出错了,应该怎么办? 14:25:25 **** Incremental Build of configuratio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwXxBM.html" rel="bookmark" class="title">汇编转换成java</a>
					<div>
						问题描述 学生毕业设计题目不慎交错了用的汇编编写的程序不知道哪位高手有汇编转换成java的工具或者办法感激......感激...... 解决方案 解决方案二:只能说V5了--膜拜解决方案三:老师不让改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQPxYp.html" rel="bookmark" class="title">大量检索</a>
					<div>
						问题描述 通过关键字检索数据库里面的大量数据,求介绍好的方法,最好有实例看一下. 解决方案 解决方案二:这个不用思考直接用Lucene.net解决方案三:可以试试楼上的方法					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKBkAp.html" rel="bookmark" class="title">深赛格再现重组传闻</a>
					<div>
						自2007年起,深赛格就被蒙上了重组迷雾,近日,有投资者在深圳赛格股份有限公司的公开信息中发现,深赛格监事田继梁的配偶及兄弟姐妹,均大量购买公司股票.这使得投资者不由猜测,公司近期是不是有重组计划?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Xkqz.html" rel="bookmark" class="title">jQuery动画效果图片轮播特效&lowbar;jquery</a>
					<div>
						从这一章节开始,我将会为大家陆续的介绍利用Jquery完成特效动画.先来看看这一节所介绍的特效:传统轮播. 一.需求分析 1. 提供很多尺寸相等的图片,一排紧挨着显示. 2. 左右有两个切换按钮,用来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWoDkz.html" rel="bookmark" class="title">微信公众号怎么红包&quest;微信公众号发现金红包方法</a>
					<div>
						微信公众号怎么发现金红包 1.商户调用接口时,通过指定发送对象以及发送金额的方式发放红包,这样的方式,允许商户灵活的应用于各种各样丰富的活动场景. 2.领取到红包后,用户的资金直接进入微信零钱,避免繁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdaVBM.html" rel="bookmark" class="title">《大数据导论》采用大数据的商业动机与驱动</a>
					<div>
						本节书摘来自华章出版社&lt;Spark大数据分析:核心概念.技术及实践&gt;一书中的第1章,第节,作者托马斯·埃尔(Thomas Erl),瓦吉德·哈塔克(Wajid Khattak),保罗·布勒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdeALp.html" rel="bookmark" class="title">Uber如何在中国能成功吗？</a>
					<div>
						与其它快速增长的全球品牌一样,Uber尽管有着180 亿美元的估值,但进入中国市场绝非轻而易举.他们的即时用车移动APP能否被中国人所接受?几个月之后,媒体纷纷开始评估Uber在中国到底做得怎么样?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YvBJp.html" rel="bookmark" class="title">成为下一个十亿美金互联网公司的秘密：改变界面与交互</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 有的创业者一不小心把自己的公司打造成为了一家十亿美金公司,但或许他们自己还不知道其中的秘密所在.但如Peter Thiel 在斯坦福的课堂上告诉他的学生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YxVWp.html" rel="bookmark" class="title">影响网站排名的45个因素</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 内部因素 URL中出现关键词 网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWGwQp.html" rel="bookmark" class="title">股民强烈质疑&ast;ST九发重组增发价有违规嫌疑</a>
					<div>
						*ST九发中小投资者对重组过程中的问题已经向山东省证监局反映,但他们表示对证监局答复不满意.截至昨天,*ST九发已连获17个 涨停. 4.91元!截至昨天,*ST九发连续收出第17个涨停,但投资者对* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBrO9p.html" rel="bookmark" class="title">Tomcat ssl报错Connector attribute SSLCertificateFile must be defined when using SSL with APR解决方法&lowbar;Tomcat</a>
					<div>
						今天同事要求帮忙配置tomcat ssl,直接把linux下tomcat配置ssl这篇文章发给他了,没想到他居然说启动tomcat的时候,报Connector attribute SSLCertifi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
